/**
 * Test case for apemandocker.
 * Runs with mocha.
 */
"use strict";

const Apemandocker = require('../lib/apemandocker.js'),
    assert = require('assert');

describe('apemandocker', () => {

    let apemandocker = new Apemandocker({}),
        image = `${__dirname}/../doc/mocks/mock-images/node`,
        tag = 'testing-apemandocker-01';

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Build an image.', (done) => {
        apemandocker.buildImage(image, {
            tag: tag
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });

    it('Remove an image.', (done) => {
        apemandocker.removeImage(tag, {
            force: true
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

