/**
 * Test case for nameImage.
 * Runs with mocha.
 */
"use strict";

const nameImage = require('../lib/name_image.js'),
    assert = require('assert');

describe('name-image', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Name image', (done) => {
        let name = nameImage({
            name: 'foo',
            version: '1.0.0'
        }, 'baz/quz');
        assert.equal(name, 'foo_baz/quz:1.0.0');
        done();
    });
});

